The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"- установка SAMBA из исходников -"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Samba, вопросы интеграции Unix и Windows (Public)
Изначальное сообщение [Проследить за развитием треда]

"- установка SAMBA из исходников -" 
Сообщение от ALPOP emailИскать по авторуВ закладки(ok) on 13-Окт-05, 19:33  (MSK)
Всем привет! хочу поставить Самбу c поддержкой Active Directory и Kerberos (Самба будет работать на Linux-машине в домене Win2000), но никак не получается ее сконфигурить, так как configure ругается, что не хватает ldap.h
(configure: WARNING: ldap.h is needed for LDAP support
checking for Active Directory and krb5 support... yes
configure: error: Active Directory Support requires LDAP support)

Помогите, пожалуйста, что это значит и где этот ldap.h взять, а потом, куда его положить и т.д. В общем, как мне поступить в этом случае?

заранее всем признателен!

  Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

 Оглавление

Сообщения по теме [Сортировка по времени, UBB]

1. "- установка SAMBA из исходников -" 
Сообщение от ALPOP emailИскать по авторуВ закладки(ok) on 14-Окт-05, 09:25  (MSK)
>Всем привет! хочу поставить Самбу c поддержкой Active Directory и Kerberos (Самба
>будет работать на Linux-машине в домене Win2000), но никак не получается
>ее сконфигурить, так как configure ругается, что не хватает ldap.h
>(configure: WARNING: ldap.h is needed for LDAP support
>checking for Active Directory and krb5 support... yes
>configure: error: Active Directory Support requires LDAP support)
>
>Помогите, пожалуйста, что это значит и где этот ldap.h взять, а потом,
>куда его положить и т.д. В общем, как мне поступить в
>этом случае?
>
>заранее всем признателен!

Неужели никто не знает, как надо сделать!!!??? Мужики, подскажите выход!


  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

2. "- установка SAMBA из исходников -" 
Сообщение от gus_ak Искать по авторуВ закладки on 14-Окт-05, 13:07  (MSK)
>>Всем привет! хочу поставить Самбу c поддержкой Active Directory и Kerberos (Самба
>>будет работать на Linux-машине в домене Win2000), но никак не получается
>>ее сконфигурить, так как configure ругается, что не хватает ldap.h
>>(configure: WARNING: ldap.h is needed for LDAP support
>>checking for Active Directory and krb5 support... yes
>>configure: error: Active Directory Support requires LDAP support)
>>
>>Помогите, пожалуйста, что это значит и где этот ldap.h взять, а потом,
>>куда его положить и т.д. В общем, как мне поступить в
>>этом случае?
>>
>>заранее всем признателен!
>
>Неужели никто не знает, как надо сделать!!!??? Мужики, подскажите выход!

Знает...
просто читать надо уметь, она тебе сама все пишет!
Ldap поставь, а затем самбу.

а вообще-то почитай соседнии темы там все есть!

  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

3. "- установка SAMBA из исходников -" 
Сообщение от ALPOP Искать по авторуВ закладки(ok) on 14-Окт-05, 19:05  (MSK)
>>>Всем привет! хочу поставить Самбу c поддержкой Active Directory и Kerberos (Самба
>>>будет работать на Linux-машине в домене Win2000), но никак не получается
>>>ее сконфигурить, так как configure ругается, что не хватает ldap.h
>>>(configure: WARNING: ldap.h is needed for LDAP support
>>>checking for Active Directory and krb5 support... yes
>>>configure: error: Active Directory Support requires LDAP support)
>>>
>>>Помогите, пожалуйста, что это значит и где этот ldap.h взять, а потом,
>>>куда его положить и т.д. В общем, как мне поступить в
>>>этом случае?
>>>
>>>заранее всем признателен!
>>
>>Неужели никто не знает, как надо сделать!!!??? Мужики, подскажите выход!
>
>Знает...
>просто читать надо уметь, она тебе сама все пишет!
>Ldap поставь, а затем самбу.
>
>а вообще-то почитай соседнии темы там все есть!


то есть надо поставить в начале ldap и только потом Samba?
просто нигде в описаниях установки-настройки Samba (в том числе для Windows-домена с Active Directory) я не читал, что есть необходимость ставить ldap перед Samba
вот поэтому может правильным было бы найти недостающий файл и положить его в папку с установочными библиотеками (или в какую другую папку)... для решения проблемы?

  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

4. "- установка SAMBA из исходников -" 
Сообщение от Nautilus Искать по авторуВ закладки(ok) on 15-Окт-05, 14:38  (MSK)
:) Нет, правильнее всего - установить LDAP. По другому - НИКАК.
  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

5. "- установка SAMBA из исходников -" 
Сообщение от ALPOP emailИскать по авторуВ закладки(ok) on 15-Окт-05, 16:25  (MSK)
>:) Нет, правильнее всего - установить LDAP. По другому - НИКАК.

ПОНЯЛ! СПАСИБО!
щас буду искать, где взять ldap и как его устанавливать...


  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

6. "- установка SAMBA из исходников -" 
Сообщение от ALex_hha emailИскать по авторуВ закладки(??) on 18-Окт-05, 11:20  (MSK)
>>:) Нет, правильнее всего - установить LDAP. По другому - НИКАК.
>
>ПОНЯЛ! СПАСИБО!
>щас буду искать, где взять ldap и как его устанавливать...
что за система? Если linux, то скачай samba-xxx.src.rpm и не мучайся. Он тебе все сам скажет, какие пакеты ему нужны для сборки. Скорее всего openldap у тебя уже стоит, а для сборки самбы тебе нужен openldap-devel, в котором и находится ldap.h.
  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

7. "- установка SAMBA из исходников -" 
Сообщение от ALPOP Искать по авторуВ закладки(ok) on 18-Окт-05, 15:33  (MSK)
>>>:) Нет, правильнее всего - установить LDAP. По другому - НИКАК.
>>
>>ПОНЯЛ! СПАСИБО!
>>щас буду искать, где взять ldap и как его устанавливать...

>что за система? Если linux, то скачай samba-xxx.src.rpm и не мучайся. Он
>тебе все сам скажет, какие пакеты ему нужны для сборки. Скорее
>всего openldap у тебя уже стоит, а для сборки самбы тебе
>нужен openldap-devel, в котором и находится ldap.h.


у меня стоит Gentoo Linux и там менеджера RPM-пакетов нету (и не знаю можно ли его установить в Gentoo вообще)
если б можно было устанавливать из rpm, то, конечно, я б не мучался... :-)
но за совет все равно спасибо!

  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх

8. "- установка SAMBA из исходников -" 
Сообщение от ZM_Michael emailИскать по авторуВ закладки(ok) on 09-Ноя-05, 16:59  (MSK)
Очень странно что в Gentoo ты такое встретил...
USE="ldap kerberos ssl" emerge samba
должна сама все зависимости поставить...
  Удалить Правка | Высказать мнение | Ответить | Рекомендовать в FAQ | Cообщить модератору | Наверх


Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ]




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру